org.eclipse.emf.cdo.common.security

## Enum CDOPermission

- java.lang.Object
- - java.lang.Enum<CDOPermission>
  - - org.eclipse.emf.cdo.common.security.CDOPermission

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CDOPermission>

      public enum CDOPermission
      extends java.lang.Enum<CDOPermission>

  Describes the possible protection levels a protectable object may have.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `READ`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDOPermission` | `get(int bits)`
    `byte` | `getBits()`
    `boolean` | `isReadable()`
    `boolean` | `isWritable()`
    `static CDOPermission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CDOPermission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CDOPermission NONE

    - #### READ

          public static final CDOPermission READ

    - #### WRITE

          public static final CDOPermission WRITE

  - ### Method Detail

    - #### values

          public static CDOPermission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDOPermission c : CDOPermission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDOPermission valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getBits

          public byte getBits()

    - #### isReadable

          public boolean isReadable()

      Since:
        4.1

    - #### isWritable

          public boolean isWritable()

      Since:
        4.1

    - #### get

          public static CDOPermission get(int bits)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html